# $Revision: 1.13 $Date: 2008-06-04 15:25:45 $
Summary:	PostgreSQL grafical frontend for KDE
Summary(pl.UTF-8):	Graficzny frontend do PostgreSQL-a dla KDE 
Name:		kpogre
Version:	1.6.6
Release:	1
License:	GPL v2
Group:		Applications/Databases/Interfaces
Source0:	http://dl.sourceforge.net/kpogre/%{name}-%{version}.tar.gz
# Source0-md5:	0e728643dd6ed93a5744fbc50a808c7f
URL:		http://kpogre.sourceforge.net/
BuildRequires:	kdelibs-devel
BuildRequires:	kdelibs-shared
BuildRequires:	libpqxx-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KPoGre is grafical client for PostgreSQL Database for KDE. It uses
libpqxx library.

%description -l pl.UTF-8
KPoGre jest graficznym klientem bazy PostgreSQL dla KDE. Używa
biblioteki libpqxx.

%prep
%setup -q

%build
%configure \
	--disable-debug \
	--with-qt-libraries=%{_libdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}/kde
echo 'Categories=Qt;KDE;Office;Database;' >> kpogre/kpogre.desktop

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

mv -f $RPM_BUILD_ROOT%{_datadir}/applnk/Applications/kpogre.desktop \
	$RPM_BUILD_ROOT%{_desktopdir}/kde/kpogre.desktop

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/*
%{_datadir}/apps/kpogre
%{_desktopdir}/kde/kpogre.desktop
%{_iconsdir}/hicolor/*/*/kpogre.png
%{_iconsdir}/crystalsvg/*/*/kpogre.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kpogre.spec,v $
Revision 1.13  2008-06-04 15:25:45  adamg
- updated to 1.6.6
- BuildRequires: kdelibs-shared (kdex.dtd)

Revision 1.12  2008-05-18 16:19:26  adamg
- previous commit reverted (mistake)

Revision 1.10  2007-11-11 12:56:53  adamg
- updated to 1.5.8

Revision 1.9  2007/07/08 10:02:30  darekr
- move desktop file to _desktopdir/kde

Revision 1.8  2007/02/13 06:46:49  glen
- tabs in preamble

Revision 1.7  2007/02/12 00:49:01  baggins
- converted to UTF-8

Revision 1.6  2006/12/21 08:46:57  charles
- updated to 1.5.2
- BR: pkgconfig

Revision 1.5  2006/08/06 16:04:05  adamg
- updated to 1.4.0

Revision 1.4  2006/05/30 09:33:38  adamg
- updated to 1.3.8

Revision 1.3  2005/09/07 10:02:44  arekm
- rel 1

Revision 1.2  2005/02/15 18:31:50  qboosh
- wrapped

Revision 1.1  2005/02/15 01:57:16  charles
- initial
